
TYPO3.Neos - Task # 53610

Work Package # 47023 (Accepted): Global user interface
Task # 48071 (Resolved): Navigate component

Status: Resolved Priority: Should have
Author: Bastian Waidelich Category: UI
Created: 2013-11-13 Assigned To: Mattias Nilsson
Updated: 2013-12-10 Due date:
Subject: Navigate component breaks when changing a parent node name
Description

When moving/renaming a node in the backend, the content is reloaded and it's href is updated in the navigate component. However if
that node has child document nodes, those still point to the old URI.
Refreshing the page fixes the issue, but the navigate component should refresh itself (or at least invoke a complete browser refresh)

Related issues:
related to Base Distribution - Task # 54080: As a content editor I want to be... Resolved 2013-11-29

Associated revisions
Revision 31a5c6ed - 2013-12-09 19:26 - Christopher Hlubek

[BUGFIX] Correct handling of Document node property changes in the tree

This change fixes the existing code to synchronize the tree with updates
inspector using VIE observers. To make that work correctly with all kind
of Document nodes we have to export all node types to VIE.

Change-Id: I4d137baaa61cb7ba8415f7c7666cbd7b02f8ad64
Fixes: #53610
Reviewed-on: https://review.typo3.org/26117
Tested-by: Christopher Hlubek
Reviewed-by: Christopher Hlubek

Revision a4aee345 - 2013-12-10 17:51 - Christopher Hlubek

[BUGFIX] Correct handling of Document node property changes in the tree

This change fixes the existing code to synchronize the tree with updates
inspector using VIE observers. To make that work correctly with all kind
of Document nodes we have to export all node types to VIE.

Change-Id: I4d137baaa61cb7ba8415f7c7666cbd7b02f8ad64
Fixes: #53610
Reviewed-on: https://review.typo3.org/26117
Tested-by: Christopher Hlubek
Reviewed-by: Christopher Hlubek
(cherry picked from commit 31a5c6ed1f690a267cf06c4fa7ed11647de8ea07)
Reviewed-on: https://review.typo3.org/26327
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
History
#1 - 2013-11-13 18:07 - Bastian Waidelich
- Parent task set to #48071

#2 - 2013-12-04 19:52 - Mattias Nilsson
- Status changed from New to Accepted
- Assigned To set to Mattias Nilsson

#3 - 2013-12-05 19:23 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/25973

#4 - 2013-12-07 20:09 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/25973

#5 - 2013-12-09 13:43 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26117

#6 - 2013-12-09 13:44 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26117

#7 - 2013-12-09 15:49 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26117

#8 - 2013-12-09 19:36 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:31a5c6ed1f690a267cf06c4fa7ed11647de8ea07.

#9 - 2013-12-10 17:51 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch 1.0 of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26327

#10 - 2013-12-10 18:36 - Christopher Hlubek
- Status changed from Under Review to Resolved

Applied in changeset commit:a4aee3456f350aeaf74f49533c60bb75e0a1420e.
